"use strict";
(function($){
	/*
	 * jQuery handle #send button click event
	 * 
	 * Responds to #send button click event.
	*/
	$('#send').on('click', function(e){
			e.preventDefault();
			//console.log('CLICK!');
			sendPromptAjax();
	});
	/*
	 * Handle request to process a user prompt.
	 * 
	 * Sends prompt and update the UI with results.
	*/
	function sendPromptAjax(){
		//console.log('sendPromptAjax');
		$('#results').html('...processing...');
		let dataSend = {};
		dataSend['prompt'] = $('#prompt').val();
		//console.log("sendPromptAjax| dataSend", dataSend);
		$.ajax(
			{
				type:"post",
				url:"openai-image-01.php",
				data:dataSend,
				dataType:'json',
			}
		)
		.done(
			function(data, status){
				//console.log("sendPromptAjax | done");
				//console.log("sendPromptAjax | data", data);
				//console.log("sendPromptAjax | status", status);
				if (data.success){
					console.log("sendPromptAjax | Success true");
					$('#results').html('Success: ' + data['image-url']);
					$("#open-ai-image").attr("src", data['image-url']);
				}else{
					$('#results').html('Request failed.');
				}
			}
		)
		.fail(
			function(data, status, error){
				$('#results').html('Something in cyberspace went horribly wrong!');
			}
		);
	}
})(jQuery);